//=======================================================
// Aty3dm9
// Shaders By Lunaran ,Soc ,iD Software. Most modified by
// myself.
//=======================================================

//=======================================================
// Jump Pad
//=======================================================

textures/aty3dm9/jp_1
{
	qer_editorimage textures/aty3dm9/jp01b.tga
	q3map_lightimage textures/aty3dm9/jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/aty3dm9/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/aty3dm9/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/aty3dm9/jp01b.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//========================================================
// Wall / Ceiling Lights
//========================================================

textures/aty3dm9/zinc_lite3
{
	q3map_lightimage textures/aty3dm9/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/aty3dm9/trilite1_1000
{
	qer_editorimage textures/aty3dm9/trilite1.tga
	q3map_lightimage textures/aty3dm9/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/aty3dm9/litpan1_flik
{
	qer_editorimage textures/aty3dm9/litpan1.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 180 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/aty3dm9/litpan1_500
{
	qer_editorimage textures/aty3dm9/litpan1.tga
	q3map_lightimage textures/aty3dm9/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/aty3dm9/litpan2_flik2
{
	qer_editorimage textures/aty3dm9/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.4 1.2 450 8
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/aty3dm9/litpan2_flik3
{
	qer_editorimage textures/aty3dm9/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 1800 6
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/aty3dm9/litpan2_flik
{
	qer_editorimage textures/aty3dm9/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 45 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/aty3dm9/litpan2_500
{
	qer_editorimage textures/aty3dm9/litpan2.tga
	q3map_lightimage textures/aty3dm9/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm9/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

//========================================================
// Stone cieling in lower level
//========================================================

textures/aty3dm9/stone3
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/stone3_phong.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/stone4_d2.tga
 		blendFunc filter
        }
}

//========================================================
// Step / Post / Ceiling Lights
//========================================================

textures/aty3dm9/lig_128-02r1-2k
{
	qer_editorimage textures/aty3dm9/sqrlig03ra.tga
	q3map_lightimage textures/aty3dm9/sqrlig03r.blend.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/sqrlig03ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm9/sqrlig03r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/aty3dm9/lig_128-02r3-2k
{
	qer_editorimage textures/aty3dm9/sqrlig03rc.tga
	q3map_lightimage textures/aty3dm9/sqrlig03r2.blend.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/sqrlig03rc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm9/sqrlig03r2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

//========================================================
// Sky
//========================================================

textures/aty3dm9/nubiansky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 .9 .8 65 300 60
	q3map_surfacelight 85
	qer_editorimage textures/aty3dm9/nubian3.tga
	skyparms env/aty9sky/lun4 768 -
	{
		map textures/aty3dm9/nubian3.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
	}
}


//========================================================
// Glass
//========================================================

textures/aty3dm9/aty3dm9glass
{
	qer_editorimage textures/aty3dm9/glass_gold.tga
	qer_alphafunc greater 0.5
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/aty3dm9/glass_gold.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	// identity = light, vertex = dark
	}
}

//=========================================================
// iD Fog Texture
//=========================================================

textures/aty3dm9/fog
{
	qer_editorimage textures/aty3dm9/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( .211 .129 .097 ) 2395

	
	
	{
		map textures/aty3dm9/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/aty3dm9/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

//=========================================================
// Spotlights
//=========================================================

textures/aty3dm9/spotlight
{
	qer_editorimage textures/aty3dm9/proto1.tga
	q3map_lightimage textures/aty3dm9/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm9/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{	
		map textures/aty3dm9/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/aty3dm9/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 08
	}
}

//=========================================================
//Roof
//=========================================================

textures/aty3dm9/rooftiles
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/er_rof01.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/er_rof01.tga
 		blendFunc filter
        }
}

//=========================================================
// Billboard
//=========================================================

textures/aty3dm9/billboard
{
        surfaceparm nodlight
	surfaceparm nomarks
        nopicmip
	{
		animmap 0.5 textures/aty3dm9/maverickservers_768x512.tga textures/aty3dm9/massacreservers_768x512.tga textures/aty3dm9/sapphire_768x512.tga textures/aty3dm9/wacom_256x128.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

//=========================================================
// Upper Running Ledge
//=========================================================

textures/aty3dm9/url
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete0.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete0.tga
 		blendFunc filter
        }
}

textures/aty3dm9/url1
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/e8warning256.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/e8warning256.tga
 		blendFunc filter
        }
}

textures/aty3dm9/url2
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/zinc_baseboard2.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/zinc_baseboard2.tga
 		blendFunc filter
        }
}

//=========================================================
// Misc Map Parts
//=========================================================

textures/aty3dm9/wall1
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete1.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete1.tga
 		blendFunc filter
        }
}

textures/aty3dm9/wall2
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete2.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete2.tga
 		blendFunc filter
        }
}

textures/aty3dm9/wall3
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete3.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete3.tga
 		blendFunc filter
        }
}

textures/aty3dm9/wall4
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete4.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete4.tga
 		blendFunc filter
        }
}

textures/aty3dm9/wall5
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm9/wcrete5.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete5.tga
 		blendFunc filter
        }
}

textures/aty3dm9/wall6
{
 	q3map_nonplanar
 	q3map_shadeangle 60
 	qer_editorimage textures/aty3dm9/wcrete6.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm9/wcrete6.tga
 		blendFunc filter
        }
}

//=========================================================
// Decals
//=========================================================

textures/aty3dm9/atystain_01
{
	qer_editorimage textures/aty3dm9/atystain_01.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_02
{
	qer_editorimage textures/aty3dm9/atystain_02.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_02.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_03
{
	qer_editorimage textures/aty3dm9/atystain_03.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_03.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_04
{
	qer_editorimage textures/aty3dm9/atystain_04.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_04.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_05
{
	qer_editorimage textures/aty3dm9/atystain_05.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_05.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_06
{
	qer_editorimage textures/aty3dm9/atystain_06.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_07
{
	qer_editorimage textures/aty3dm9/atystain_07.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_07.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_08
{
	qer_editorimage textures/aty3dm9/atystain_08.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_08.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_09
{
	qer_editorimage textures/aty3dm9/atystain_09.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_09.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_10
{
	qer_editorimage textures/aty3dm9/atystain_10.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_10.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_11
{
	qer_editorimage textures/aty3dm9/atystain_11.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_11.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_12
{
	qer_editorimage textures/aty3dm9/atystain_12.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_12.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_13
{
	qer_editorimage textures/aty3dm9/atystain_13.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_13.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_14
{
	qer_editorimage textures/aty3dm9/atystain_14.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_14.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_15
{
	qer_editorimage textures/aty3dm9/atystain_15.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_15.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm9/atystain_16
{
	qer_editorimage textures/aty3dm9/atystain_16.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm9/atystain_16.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}


//=========================================================
// iD Beam Texture
//=========================================================


textures/aty3dm9/light_beam
{
	qer_editorimage textures/aty3dm9/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/aty3dm9/beam_1.tga
                tcMod Scroll .3 0
                blendFunc add
	}
}


//=========================================================
//Grate
//=========================================================

textures/aty3dm9/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/aty3dm9/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}